linuxvnc(1)

NAME
linuxvnc - export a tty to any VNC client

SYNOPSIS
linuxvnc [tty_number [args]]

DESCRIPTION
It follows the same idea as WinVNC, x11vnc or OSXvnc, i.e. it takes an existing desktop and exports it via RFB (VNC), just that LinuxVNC exports text.

If you want to export another tty, specify it as 'tty_number'. You can also pass VNC options to tune what encodings are used for the VNC session. You can read x11vnc man page for more information on this.

OPTIONS

-rfbport port
    TCP port for RFB protocol.

-rfbwait time
    Max time in ms to wait for RFB client.

-rfbauth passwd-file
    Use authentication on RFB protocol (use 'storepasswd' to create passwd file).

-rfbversion 3.x
    Set the version of the RFB we choose to advertise.

-permitfiletransfer
    Permit file transfer support.

-passwd plain-password
    Use authentication (use plain-password as password, USE AT YOUR RISK).

-deferupdate time
    Time in ms to defer updates (default 40).

-deferptrupdate time
    Time in ms to defer pointer updates (default none).

-desktop name
    VNC desktop name (default "LibVNCServer").

-alwaysshared
    Always treat new clients as shared.

-nevershared
    Never treat new clients as shared.

-dontdisconnect
    Don't disconnect existing clients when a new non-shared connection comes in (refuse new connection instead).

-httpdir dir-path
    Enable http server using dir-path home.

-httpport portnum
    Use portnum for http connection.

-enablehttpproxy
    Enable http proxy support.

-progressive height
    Enable progressive updating for slow links.

-listen ipaddr
    Listen for connections only on network interface with addr ipaddr.

SEE ALSO
x11vnc(1).

AUTHOR
This manual page was written by Ludovic Drolez <ldrolez@debian.org>, for the Debian project (but may be used by others).